//
// Created by sbn on 2/4/24.
//

#ifndef LidarPerceptionPubDataWrapper_WRAPPER_HEADER_H
#define LidarPerceptionPubDataWrapper_WRAPPER_HEADER_H

#include "pub/PubDataWrapper.h"
#include "lidar_perception/executable.h"

template<typename EventType>
class LiDARPerception2Fusion_PubDataWrapper: public PubDataWrapper<EventType> {

private:
	perception::LiDARPerception2Fusion _data;
public:

    void GetData(ara::com::SampleAllocateePtr<EventType> &data) override{
    	_data.type = 1;
    	data->push_back(_data);
    }

};


#endif //LidarPerceptionPubDataWrapper_WRAPPER_HEADER_H
